clear
clc
clear all

rng('default')

Links=SmallWorld(20,0.5);
Number=   [1  2  3  4  5   6  7  8  9   10  11 12 13  14 15 16 17 18  19 20];
Lambdamu= [0  50 0  50 -200 0  160 30 -20 -40 170 80 -20 130 0  0  30 -20 0  140];
Zeta=0.01;

i=0;
SatOverSigQZ=[];
SatOverSigA=[];
Sig=[];

for sig=0:10:200
    
    Lambdasig=[0  0 0  0  sig  0  0  0  0   0  0  0  0   0  0  0  0  0   0  0];
    
    [SatisfiedQZ, Edges]=QuenchedWithZeta(Lambdamu,Lambdasig,Links,Zeta);
    [SatisfiedA, Edges]=Annealed(Lambdamu,Lambdasig,Links,Zeta);
    
    SatOverSigQZ(length(SatOverSigQZ)+1)=SatisfiedQZ(5);
    SatOverSigA(length(SatOverSigA)+1)=SatisfiedA(5);
    
    Sig(length(Sig)+1)=sig;
        
end

figure('Units','centimeters','Position',[5 5 16 11],'PaperPositionMode','auto')

p=plot(Sig,SatOverSigQZ,'*',Sig,SatOverSigA,'o');
xlabel('$\sigma$')
ylabel('Excess')
legend('QWSC','Annealed') 
axis([0 200 0 500])
set(gca,...
'Units','normalized',...
'YTick',0:100:500,...
'XTick',0:50:200,...
'Position',[.15 .2 .75 .7],...
'FontUnits','points',...
'FontWeight','normal',...
'FontSize',20,...
'FontName','Times')
ylabel({'Excess'},...
'FontUnits','points',...
'interpreter','latex',...
'FontSize',20,...
'FontName','Times')
xlabel('$\sigma$',...
'FontUnits','points',...
'interpreter','latex',...
'FontWeight','normal',...
'FontSize',20,...
'FontName','Times')
legend({'QWSC','Annealed'},...
'FontUnits','points',...
'interpreter','latex',...
'FontSize',20,...
'interpreter','latex',...
'FontName','Times',...
'Location','NorthWest')
set(p(1),'MarkerSize',8,'Color',[0.6 0 1]);
set(p(2),'MarkerSize',8,'Color',[1 0 0.8]);
print -dpng ExcessOverSigmaQZandA.png

figure('Units','centimeters','Position',[5 5 16 11],'PaperPositionMode','auto')

p=plot(Sig,SatOverSigQZ-SatOverSigA,'-');
xlabel('$\sigma$')
ylabel('Excess')
axis([0 200 0 1])
set(gca,...
'Units','normalized',...
'YTick',0:1,...
'XTick',0:50:200,...
'Position',[.15 .2 .75 .7],...
'FontUnits','points',...
'FontWeight','normal',...
'FontSize',20,...
'FontName','Times')
ylabel({'Excess'},...
'FontUnits','points',...
'interpreter','latex',...
'FontSize',20,...
'FontName','Times')
xlabel('$\sigma$',...
'FontUnits','points',...
'interpreter','latex',...
'FontWeight','normal',...
'FontSize',20,...
'FontName','Times')
set(p(1),'LineWidth',3,'Color',[1 0 1]);
print -dpng ExcessOverSigmaQZminusA1.png


figure('Units','centimeters','Position',[5 5 16 11],'PaperPositionMode','auto')

p=plot(Sig,(SatOverSigQZ-SatOverSigA),'-');
xlabel('$\sigma$')
ylabel('Excess')
axis([0 200 0 1])
set(gca,...
'Units','normalized',...
'YTick',0:1,...
'XTick',0:50:200,...
'Position',[.15 .2 .75 .7],...
'FontUnits','points',...
'FontWeight','normal',...
'FontSize',40,...
'FontName','Times')
ylabel({'Excess'},...
'FontUnits','points',...
'interpreter','latex',...
'FontSize',40,...
'FontName','Times')
xlabel('$\sigma$',...
'FontUnits','points',...
'interpreter','latex',...
'FontWeight','normal',...
'FontSize',40,...
'FontName','Times')
set(p(1),'Color',[0.6 0 1],'LineWidth',3);
print -dpng ExcessOverSigmaQZminusAInsert.png

